ruby-pdf-reader_1.4.0-1_all.deb


Advertisement

Description

ruby-pdf-reader - Ruby library for accessing the content of PDF files

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-pdf-reader
Package version 1.4.0
Package release 1
Package architecture all
Package type deb
Installed size 971 B
Download size 121.43 KB
Official Mirror archive.ubuntu.com
The PDF::Reader library implements a PDF parser conforming as much as possible
to the PDF specification from Adobe. It provides programmatic access to the
contents of a PDF file with a high degree of flexibility.
This is primarily a low-level library that should be used as the foundation
for higher level functionality. There are a few exceptions to support very
common use cases like extracting text from a page.

Alternatives

Package Version Architecture Repository
ruby-pdf-reader_1.4.0-1_all.deb 1.4.0 all Ubuntu Universe
ruby-pdf-reader - - -

Requires

Name Value
ruby -
ruby-afm -
ruby-ascii85 >= 1.0.0
ruby-hashery -
ruby-interpreter -
ruby-rc4 -
ruby-ttfunk -

Download

Type URL
Binary Package ruby-pdf-reader_1.4.0-1_all.deb
Source Package ruby-pdf-reader

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-pdf-reader deb package:
    # sudo apt-get install ruby-pdf-reader

Files

Path
/usr/lib/ruby/vendor_ruby/pdf-reader.rb
/usr/lib/ruby/vendor_ruby/pdf/hash.rb
/usr/lib/ruby/vendor_ruby/pdf/reader.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/abstract_strategy.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/buffer.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/cid_widths.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/cmap.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/encoding.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/error.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/filter.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/font.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/font_descriptor.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/form_xobject.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/glyph_hash.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/glyphlist.txt
/usr/lib/ruby/vendor_ruby/pdf/reader/lzw.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/metadata_strategy.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/object_cache.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/object_hash.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/object_stream.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/orientation_detector.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/page.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/page_layout.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/page_state.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/page_text_receiver.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/pages_strategy.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/parser.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/print_receiver.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/reference.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/register_receiver.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/resource_methods.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/standard_security_handler.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/stream.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/synchronized_cache.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/text_receiver.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/text_run.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/token.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/transformation_matrix.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/width_calculator.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/xref.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Courier-Bold.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Courier-BoldOblique.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Courier-Oblique.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Courier.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Helvetica-Bold.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Helvetica-BoldOblique.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Helvetica-Oblique.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Helvetica.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Symbol.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Times-Bold.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Times-BoldItalic.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Times-Italic.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Times-Roman.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/afm/ZapfDingbats.afm
/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/mac_expert.txt
/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/mac_roman.txt
/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/pdf_doc.txt
/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/standard.txt
/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/symbol.txt
/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/win_ansi.txt
/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/zapf_dingbats.txt
/usr/lib/ruby/vendor_ruby/pdf/reader/filter/ascii85.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/filter/ascii_hex.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/filter/depredict.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/filter/flate.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/filter/lzw.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/filter/null.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/filter/run_length.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/width_calculator/built_in.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/width_calculator/composite.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/width_calculator/true_type.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/width_calculator/type_one_or_three.rb
/usr/lib/ruby/vendor_ruby/pdf/reader/width_calculator/type_zero.rb
/usr/share/doc/ruby-pdf-reader/README.rdoc.gz
/usr/share/doc/ruby-pdf-reader/changelog.Debian.gz
/usr/share/doc/ruby-pdf-reader/copyright
/usr/share/doc/ruby-pdf-reader/examples/callbacks.rb
/usr/share/doc/ruby-pdf-reader/examples/extract_bates.rb
/usr/share/doc/ruby-pdf-reader/examples/extract_fonts.rb
/usr/share/doc/ruby-pdf-reader/examples/extract_images.rb
/usr/share/doc/ruby-pdf-reader/examples/hash.rb
/usr/share/doc/ruby-pdf-reader/examples/metadata.rb
/usr/share/doc/ruby-pdf-reader/examples/page_count.rb
/usr/share/doc/ruby-pdf-reader/examples/rspec.rb
/usr/share/doc/ruby-pdf-reader/examples/text.rb
/usr/share/doc/ruby-pdf-reader/examples/version.rb
/usr/share/rubygems-integration/all/specifications/pdf-reader-1.4.0.gemspec

Changelog

2016-03-01 - Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>
ruby-pdf-reader (1.4.0-1) unstable; urgency=medium
* Team upload.
* New upstream release (Closes: #795763).
- The new upstream version updates its assertion configuration
for the rspec 3 version, that doesn't allow the use of :stdlib anymore.
* debian/compat:  Bump to version 9, fix lintian warning.
* debian/control: 
- Update vcs-git link to https, fix lintian warning.
- Update vcs-browser link to https, fix lintian warning.
- Update standards-version to 3.9.7, fix lintian warning.
- Update debhelper to require version >= 9.
* debian/copyright: Update year format.
2014-02-18 - Cédric Boutillier <boutil@debian.org>
ruby-pdf-reader (1.3.3-1) unstable; urgency=medium
* Imported Upstream version 1.3.3
* debian/control:
+ remove obsolete DM-Upload-Allowed flag
+ use canonical URI in Vcs-* fields
+ bump Standards-Version to 3.9.5 (no changes needed)
+ add dependencies on ruby-ttfunk, ruby-afm and ruby-hashery
+ change my email address to @d.o
* Use rake method to run the tests
* debian/copyright: use DEP5 copyright-format/1.0 URL for Format field
* Update debian/watch. Thanks Bart Martens
2012-06-26 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-pdf-reader (1.1.1-2) unstable; urgency=low
* Bump build dependency on gem2deb to >= 0.3.0~
2012-05-11 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-pdf-reader (1.1.1-1) unstable; urgency=low
* New upstream version
2012-03-29 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-pdf-reader (1.1.0-1) unstable; urgency=low
* New upstream version
2012-03-27 - Gunnar Wolf <gwolf@debian.org>
ruby-pdf-reader (1.0.0-2) unstable; urgency=low
* Added missing dependency on ruby-rc4 (Closes: #665266)
2012-02-23 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-pdf-reader (1.0.0-1) unstable; urgency=low
* New upstream version
* Add dependency on ruby-rc4
* Drop 0003-examples_fix_shebang.patch and 0005_fix_rspec_example.patch
+ not needed anymore
* Add 0006-spec_add_require_yaml.patch
+ solves missing dependency on yaml to run spec/integration_spec.rb
* Bumps Standards-Version to 3.9.3 (no change needed)
* Change debian/watch to point directly to github.com
2011-09-07 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-pdf-reader (0.10.1-1) unstable; urgency=low
* Initial release (Closes: #640670)

See Also

Package Description
ruby-peach_0.5.1-3_all.deb parallel execution of each and map in Ruby
ruby-pg_0.18.4-1_i386.deb PostgreSQL interface for Ruby
ruby-phonon_4.14.3-1ubuntu2_i386.deb Phonon bindings for the Ruby language
ruby-pkg-config_1.1.5-1_all.deb pkg-config implementation for Ruby
ruby-plist_3.2.0-1_all.deb all-purpose property list manipulation library
ruby-pluggaloid_1.0.2-1_all.deb Extensible plugin system for mikutter
ruby-polyglot_0.3.4-1_all.deb Custom language loaders for specified file extensions
ruby-poppler_2.2.5-4build1_i386.deb Ruby bindings for the libpoppler-glib library
ruby-posix-spawn_0.3.11-1build2_i386.deb Ruby Implementation of posix_spawn(2) for faster process spawning
ruby-powerbar_1.0.17-1_all.deb progressbar library for Ruby
ruby-powerpack_0.1.1-2build1_all.deb Useful extensions to core Ruby classes
ruby-prawn-doc_2.0.2+dfsg-1_all.deb fast, nimble PDF generation library for Ruby (documentation)
ruby-prawn-manual-builder_0.2.0-1_all.deb tool to write manuals for Prawn and Prawn accessories
ruby-prawn-table_0.2.1-1_all.deb table support for the Prawn PDF generation library
ruby-prawn_2.0.2+dfsg-1_all.deb fast, nimble PDF generation library for Ruby
Advertisement
Advertisement